org.apache.cassandra.transport

## Interface CBCodec<T>

All Known Subinterfaces:
  Message.Codec<M>

All Known Implementing Classes:
  ResultSet.Codec

    public interface CBCodec<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `decode(io.netty.buffer.ByteBuf body, int version)`
`void` `encode(T t, io.netty.buffer.ByteBuf dest, int version)`
`int` `encodedSize(T t, int version)`

### Method Detail

#### decode

    T decode(io.netty.buffer.ByteBuf body,
             int version)

#### encode

    void encode(T t,
                io.netty.buffer.ByteBuf dest,
                int version)

#### encodedSize

    int encodedSize(T t,
                    int version)